Bug 91817 - Insertion and link areas of 'spreadsheet' from LO Calc in a LO Writer document.
Summary: Insertion and link areas of 'spreadsheet' from LO Calc in a LO Writer document.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2015-06-02 16:15 UTC by gmarco
Modified: 2020-12-22 15:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
documentation (2.12 KB, text/richtext)
2017-01-14 21:22 UTC, gmarco
Details
sample ods (15.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-01-14 21:24 UTC, gmarco
Details
sample odt (16.33 KB, application/vnd.oasis.opendocument.text)
2017-01-14 21:24 UTC, gmarco
Details
update request (31.83 KB, image/jpeg)
2018-10-27 15:34 UTC, gmarco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gmarco 2015-06-02 16:15:38 UTC
(Note: for a sample you can look the attachment at
http://ask.libreoffice.org/en/question/48734/inserire-e-collegare-aree-di-foglio-di-calcolo-in-un-doc/?answer=50706#post-id-50706.)

From Calc:  select cell or cells-area to insert in the doc.
In Writer: point to where to apply, select Copy-paste -> link DDE.
After pasting you can adjust boards and characters of the linked data.
From Edit -> Links you can display all linked objects and manage them; if "automatic update" is checked (I think as default) every update to the Calc sheet is reflected into the Writer document, elsewhere you can click on "Update" to do that.
Reopening the Writer file you'll be asked if you wish updating (YES|NOT): every change applied to the Calc sheet shall be or not reflected into the Writer document. (warning: ... but if now, even without having made other changes to the text, you want to save the updated file, the "SAVE" menu option is inhibited and also clicking on "X" the file will be closed but not saved; to get that you have to exit by "Save As".  I think this is a bug, I posted it as Bug 91345).

Note: the only thing I am not able to do is the horizontal alignment of linked data with my test: e.g., in my sample I'd like to align the date getting "This is my document dated 2015-05-15". (why ???)

Warning:  linked objects are drive dependent. If you paste the Calc sheet to a different drive you'll have to modify or recreate the links in the Writer doc.

NOTE for docs-team:
My English is not the best, you are free to better explain the question and modify and apply a better format to the help. Thanks.
Comment 1 Buovjaga 2015-06-09 12:26:28 UTC
(In reply to gmarco from comment #0)
> Note: the only thing I am not able to do is the horizontal alignment of
> linked data with my test: e.g., in my sample I'd like to align the date
> getting "This is my document dated 2015-05-15". (why ???)

Is this your bug report?
What do you mean by this?
Please explain more clearly.
Comment 2 gmarco 2015-06-09 16:30:03 UTC
(In reply to Beluga from comment #1)
> (In reply to gmarco from comment #0)
> > Note: the only thing I am not able to do is the horizontal alignment of
> > linked data with my test: e.g., in my sample I'd like to align the date
> > getting "This is my document dated 2015-05-15". (why ???)
> 
> Is this your bug report?
> What do you mean by this?
> Please explain more clearly.


No, the posted bug is for missing documentation (nothing about in the help both internet and offline).
The added note in question is only to advise that I didn't find the mode to align linked data with test, alike I do in WinWord (but it might be possible ???).
Comment 3 gmarco 2015-06-16 10:09:09 UTC
About my first post, I writed
"Warning:  linked objects are drive dependent. If you paste the Calc sheet to a different drive you'll have to modify or recreate the links in the Writer doc."

please correct:
"Warning:  linked objects are drive/folder dependent. If you move the Calc sheet to a different location you'll have to modify or recreate the links in the Writer doc."
Comment 4 gmarco 2015-11-20 16:48:45 UTC
Summarizing the question: I had the need to integrate a document (text) with data copied and linked from a spreadsheet but I didn't find any help about, so I posted a request in the forum but nobody replied. Having then resolved myself the goal, I suggested an help text to add, instructing about how to do.
Again and still no one response, is there any reason?

Here I report again my instructions:
From Calc:  select cell or cells-area to insert in the doc.
In Writer: point to where to apply, select Copy-paste -> link DDE.
After pasting you can adjust boards and characters of the linked data.
From Edit -> Links you can display all linked objects and manage them; if "automatic update" is checked (I think as default) every update to the Calc sheet is reflected into the Writer document, elsewhere you can click on "Update" to do that.
Reopening the Writer file you'll be asked if you wish updating (YES|NOT): every change applied to the Calc sheet shall be or not reflected into the Writer document.


Some warnings:
Warning 1: in the ODT, about the comment, I wrote "← double-click to display comments": it is not always so.
In my sample (it is an ODT migrated from a WinWord DOC) it is true;  if you create a new comment from LO Writer you can display it only by View→Comments.
(I don't know why, may be some developer could explain ...???).

Warning 2: opening the ODT doc you are asked if you wish updating YES|NOT. Replying YES every change applied to the Calc sheet willl be reflected into the Writer doc ... but now if you want to save the updated file, the "SAVE" menu option is inhibited and also clicking on "X" the file will not saved; you have to exit by "Save As".  Considering this a bug,  I posted as Bug 91345.

Warning 3: linked objects are drive/folder dependent. If you move the Calc sheet to a different location you'll have to modify or recreate the links in the Writer doc."
(for this, in "LO W-C odtsample.odt" objects are linked to "D:......", so if you have only C: drive, use the modified version "LO W-C odtsample(C).odt" with links to C:.....")

Then a last question: the only thing I am not able to do is the alignment of linked data with my test. e.g., in my sample I'd like to align the date getting "This is my document dated 2015-05-15".
(how to do ???)

At http://1drv.ms/1Prcw7M you can find my samples:
LO W-C odssample     the spreadsheet
LO W-C odtsample     the document with links from the sheet stored in drive D:\
LO W-C odtsample(C)  the document with links from the sheet stored in drive C:\
Comment 5 gmarco 2017-01-14 21:19:00 UTC
Summary (01/13/2017)

Beeing still in UNCONFIRMED status I think you could close someway.
However, if it may be useful, I attach the updated text and the two files which can be used as a test.
Since there is nothing about it in the helps, I thought that this could be useful as a basis for the documentation to be added.
Comment 6 gmarco 2017-01-14 21:22:42 UTC
Created attachment 130442 [details]
documentation
Comment 7 gmarco 2017-01-14 21:24:05 UTC
Created attachment 130443 [details]
sample ods
Comment 8 gmarco 2017-01-14 21:24:57 UTC
Created attachment 130444 [details]
sample odt
Comment 9 Olivier Hallot 2017-01-19 15:21:15 UTC
Adding as blocker of bug#80430, to track.

Let see if we can insert the offered text into a help page.
Comment 10 gmarco 2017-01-19 17:06:23 UTC
excellent initiative!
give a look also at bug 92407
Comment 11 gmarco 2018-10-27 15:34:29 UTC
Created attachment 146076 [details]
update request
Comment 12 gmarco 2018-10-27 15:34:59 UTC
         WHY?

Currently (10/27/18 LO 6.0.6.2) the bug is still in the NEW state (from 2015 LO 4.4.3.2) without any documentation of how to connect CALC areas in WRITE and with the identical bugs:
1) opening the file ODT you are asked if you want to update, answering YES the file opens (not updated and without any warning), even if the linked file does not exist and can not be found (see attachment).
2) under normal conditions (the linked file exists and has been modified, opening the ODT file and replying YES to the update request) and not making any other changes to the text of the ODT file, closing it as usual with "X" the file is not backed up (saved) with the update from the linked file (you need to save it with "save as" ... but you need to know it!)
Comment 13 gmarco 2018-10-27 19:58:35 UTC
Correction.
Where I say "(you need to save it with "save as" ... but you need to know it!)"
please replace with "(you need to save it with "save" or "save as" ... but you need to know it!)".
Comment 14 Bala 2020-12-21 19:57:10 UTC
I am not able to verify DDE from Calc into Writer in my Windows 10. I am using LibreOffice [Version: 7.1.0.0.beta1 (x64)]. 
Here is the sequence of steps I am doing:
1. Open a new untitled spreadsheet and type in few data in a few cells.
2. Save the spreadsheet as Sampless.ods
3. Copy the cells having data.
4. Open a new untitled document in writer and save as textsample.odt.
5. Click on arrow near paste icon -> DDE. The data from the spreadsheet gets pasted into the document now.
6.Open the Sampless.ods and edit the previously copied data and save the spreadsheet.
7. In textsample.odt, update the external links from "Edit->Links to External Files". At this point I am expecting new data to replace the old dat in the text document, which is not happening.
8. Close the text document and open again. A message pops up asking whether to update to most recent data. Click "Yes". Still only old text appears in the document.

I have verified with the sample files given here as well.

Both the ods and odt files are in the same folder.
Comment 15 sdc.blanco 2020-12-22 09:06:24 UTC
(In reply to Bala from comment #14)
> Still only old text appears in the document.
Please note that your report is filed in a bug report about updating the online help documentation.  If you are trying to report a bug about the actual (current) behavior of updating external DDE links, then this is the wrong place.  Please see if a similar report has been filed already, and if not, then open a new bug.
Comment 16 Bala 2020-12-22 15:00:39 UTC
(In reply to sdc.blanco from comment #15)
> (In reply to Bala from comment #14)
> > Still only old text appears in the document.
> Please note that your report is filed in a bug report about updating the
> online help documentation.  If you are trying to report a bug about the
> actual (current) behavior of updating external DDE links, then this is the
> wrong place.  Please see if a similar report has been filed already, and if
> not, then open a new bug.

Thank you for pointing out. Yes there is bug#138531 reported.